Search conversations

Deprecated

GET
/v1/search/conversations

NOTE: This endpoint is deprecated and is replaced with POST /search/conversations. Search for conversations containing a particular text.

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

query*string

The text by which to search conversations

Length1 <= length
exactMatch?boolean

Return only exact matches. This value is false by default.

Response Body

The search results for the searched parameters

application/json
  1. response
data?array<>
meta?
Example Request
curl -X GET 'https://dev.dixa.io/v1/search/conversations?query=cancel+my+order' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": 1234,
"highlights": {
"subject": [
"<em class=\"highlight\">Cancel my order</em>"
]
},
"innerHits": []
}
]
}